=== debian/changelog ===
nomacs (3.17.2282+dfsg-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:04:01 +1100

nomacs (3.17.2282+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:04:55 +0000

nomacs (3.17.2282+dfsg-2) unstable; urgency=medium

  * Change team email to <team+lxqt@tracker.debian.org>

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 06 Sep 2023 22:10:36 +0800

nomacs (3.17.2282+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add d/salsa-ci.yml for Salsa CI.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 06 Sep 2023 02:52:20 +0800
