## nomacs 3.17.2295+dfsg

=== ImageLounge/CMakeLists.txt ===
--- 
+++ 
@@ -96,6 +96,17 @@
 
 # find Qt
 NMC_FINDQT()
+if(${QT_VERSION_MAJOR} VERSION_GREATER_EQUAL "6")
+    # Still we a using a tons of deprecated features (silence them for a while)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
+
+	set(ENABLE_QUAZIP OFF)
+	message(STATUS "QuaZip disabled - it's not supported for Qt6")
+
+    # We need these to biuld with Qt6
+    set(CMAKE_CXX_STANDARD 17)
+    set(CMAKE_CXX_STANDARD_REQUIRED ON)
+endif()
 
 if (NOT ENABLE_QT_DEBUG)
 	message (STATUS "disabling qt debug messages")
@@ -151,18 +162,49 @@
 	LIST(REMOVE_ITEM GUI_HEADERS ${CMAKE_CURRENT_SOURCE_DIR}/src/DkPluginManager.h)
 ENDIF(NOT ENABLE_PLUGINS)
 
+# Try to get revision from Git head
+set(NOMACS_REVISION "")
+
+if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/../.git)
+	execute_process(COMMAND git rev-parse --short HEAD
+		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+		OUTPUT_VARIABLE NOMACS_REVISION_HASH
+		OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+	execute_process(COMMAND git log -n 1 --pretty=%cd --date=short
+		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+		OUTPUT_VARIABLE NOMACS_REVISION_DATE
+		OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+	set(NOMACS_REVISION "${NOMACS_REVISION_HASH}, ${NOMACS_REVISION_DATE}")
+
+	execute_process(COMMAND git diff-index --quiet HEAD ${CMAKE_CURRENT_SOURCE_DIR}/src
+		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+		RESULT_VARIABLE NOMACS_SRC_MODIFIED
+		ERROR_QUIET)
+
+	if(NOT NOMACS_SRC_MODIFIED EQUAL 0) 
+		set(NOMACS_REVISION "${NOMACS_REVISION}, custom")
+	endif()
+endif()
+
+message("revision is " ${NOMACS_REVISION})
+
+
 # create version file
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/DkCore/DkVersion.h.in ${CMAKE_CURRENT_BINARY_DIR}/DkVersion.h)
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/DkCore/DkVersion.cpp.in ${CMAKE_CURRENT_BINARY_DIR}/src/DkCore/DkVersion.cpp)
+list(APPEND CORE_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/src/DkCore/DkVersion.cpp)
 
 set(NOMACS_FORMS src/nomacs.ui)
 set(NOMACS_RESOURCES src/nomacs.qrc)
 
 file(GLOB NOMACS_TRANSLATIONS "translations/*.ts")
 
-QT5_ADD_RESOURCES(NOMACS_RCC ${NOMACS_RESOURCES})
+qt_add_resources(NOMACS_RCC ${NOMACS_RESOURCES})
 
 if (${ENABLE_TRANSLATIONS})
-	QT5_ADD_TRANSLATION(NOMACS_QM ${NOMACS_TRANSLATIONS})
+	qt_add_translation(NOMACS_QM ${NOMACS_TRANSLATIONS})
 endif()
 
 if(MSVC)
@@ -254,8 +296,7 @@
 MESSAGE(STATUS "")
 MESSAGE(STATUS "----------------------------------------------------------------------------------")
 MESSAGE(STATUS " ${PROJECT_NAME} - Image Lounge ${NOMACS_VERSION}  <https://nomacs.org>")
-execute_process(COMMAND ${QT_QMAKE_EXECUTABLE} -query QT_VERSION OUTPUT_VARIABLE qt_version)
-message(STATUS " Qt version: ${qt_version}")
+message(STATUS " Qt version: ${Qt${QT_DEFAULT_MAJOR_VERSION}_VERSION}")
 
 
 IF(OpenCV_FOUND)
