=== debian/changelog ===
nomacs (3.17.2295+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Move nomacs-l10n to Depends.
  * Disable patch.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Mar 2024 15:14:10 -0700
