=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: nomacs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                lcov,
                libexiv2-dev,
                liblcms2-dev,
@@ -28,16 +28,16 @@
 
 Package: nomacs
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         qt5-image-formats-plugins
+Depends: nomacs-l10n (= ${source:Version}),
+         qt5-image-formats-plugins,
+         ${misc:Depends}, ${shlibs:Depends}
 Breaks: libnomacscore3 (<< 3.6.1),
         libnomacsgui3 (<< 3.6.1),
         libnomacsloader3 (<< 3.6.1)
 Replaces: libnomacscore3 (<< 3.6.1),
           libnomacsgui3 (<< 3.6.1),
           libnomacsloader3 (<< 3.6.1)
-Recommends: nomacs-l10n (= ${source:Version})
+# Recommends: qt5-avif-image-plugin, qt5-heif-image-plugin
 Description: image viewer with capability of syncing multiple instances
  nomacs is a free image viewer for Windows and Linux systems, which is
  licensed under the GNU General Public License v3. nomacs is small, fast and
