## nomacs 3.19.0

=== ImageLounge/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # needed for soname
 set(NOMACS_VERSION_MAJOR 3)
-set(NOMACS_VERSION_MINOR 17)
+set(NOMACS_VERSION_MINOR 19)
 set(NOMACS_VERSION_PATCH 0)
 set(NOMACS_VERSION ${NOMACS_VERSION_MAJOR}.${NOMACS_VERSION_MINOR})
 set(NOMACS_FULL_VERSION ${NOMACS_VERSION}.${NOMACS_VERSION_PATCH})
@@ -40,7 +40,7 @@
 option(ENABLE_RAW "Compile with raw images support (libraw)" ON)
 option(ENABLE_TIFF "Compile with multi-layer tiff" ON)
 option(ENABLE_QT_DEBUG "Disable Qt Debug Messages" ON)
-option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)
+option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" OFF)
 option(ENABLE_INCREMENTER "Run Build Incrementer" OFF)
 option(ENABLE_TRANSLATIONS "Compile Translations" ON)
 option(ENABLE_PLUGINS "Compile nomacs with plugin support" ON)
@@ -82,7 +82,7 @@
 CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
 CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
 if(COMPILER_SUPPORTS_CXX11)
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 elseif(COMPILER_SUPPORTS_CXX0X)
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
 elseif(NOT MSVC)
@@ -98,10 +98,9 @@
 NMC_FINDQT()
 if(${QT_VERSION_MAJOR} VERSION_GREATER_EQUAL "6")
     # Still we a using a tons of deprecated features (silence them for a while)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
-
-	set(ENABLE_QUAZIP OFF)
-	message(STATUS "QuaZip disabled - it's not supported for Qt6")
+    if(NOT MSVC)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
+    endif()
 
     # We need these to biuld with Qt6
     set(CMAKE_CXX_STANDARD 17)
@@ -119,6 +118,8 @@
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Mac.cmake)
 elseif(UNIX)
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Unix.cmake)
+elseif(MINGW)
+  include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Mingw.cmake)
 else()
 	message(STATUS "build system unkown ... fallback to unix")
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Unix.cmake)
@@ -208,9 +209,15 @@
 endif()
 
 if(MSVC)
-	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/WinBuildTarget.cmake)
+    if (QT_VERSION_MAJOR STREQUAL "5")
+        include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/WinBuildTarget.cmake)
+    else()
+        include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/WinBuildTarget-qt6.cmake)
+    endif()
 elseif(APPLE)
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/MacBuildTarget.cmake)
+elseif(MINGW)
+  include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/MingwBuildTarget.cmake)
 elseif(UNIX)
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/UnixBuildTarget.cmake)
 else()
