=== debian/changelog ===
nomacs (3.19.0-0.1~mx23+1) mx; urgency=medium

  * Import new test release.
  * Refresh patches.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Aug 2024 11:40:05 -0700

nomacs (3.17.2206+git20230315-0mx23+1) mx; urgency=medium

  * Disable automatic file saving for EXIF rotations

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 11 Apr 2023 20:44:12 -0400
