## nomacs 3.19.1%2Bdfsg

=== debian/changelog ===
nomacs (3.19.1+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Dec 2024 16:23:17 -0800

nomacs (3.19.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.19.1+dfsg (Closes: #974616, #1081086)
  * Remove unused patch.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 09 Dec 2024 01:40:48 +0800
