## nomacs 3.19.1+dfsg

=== ImageLounge/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 # check cmake requirements
-cmake_minimum_required (VERSION 3.0)
+cmake_minimum_required (VERSION 3.10)
 
 if(COMMAND cmake_policy)
 	cmake_policy(SET CMP0003 NEW)
@@ -12,7 +12,7 @@
 # needed for soname
 set(NOMACS_VERSION_MAJOR 3)
 set(NOMACS_VERSION_MINOR 19)
-set(NOMACS_VERSION_PATCH 0)
+set(NOMACS_VERSION_PATCH 1)
 set(NOMACS_VERSION ${NOMACS_VERSION_MAJOR}.${NOMACS_VERSION_MINOR})
 set(NOMACS_FULL_VERSION ${NOMACS_VERSION}.${NOMACS_VERSION_PATCH})
 
@@ -48,17 +48,13 @@
 option(ENABLE_AVIF "Compile nomacs with AVIF support" OFF)
 option(ENABLE_JXL "Compile nomacs with JPEG XL support" OFF)
 option(ENABLE_CODE_COV "Run Code Coverage tests" OFF)
+option(ENABLE_TESTING "Run tests" ON)
 option(USE_SYSTEM_QUAZIP "QuaZip will not be compiled from source" ON) # ignored by MSVC
 
 # Codecov
 if (ENABLE_CODE_COV AND CMAKE_COMPILER_IS_GNUCXX)
     include("cmake/CodeCoverage.cmake")
     setup_target_for_coverage(${PROJECT_NAME}_coverage tests coverage)
-endif()
-
-if(APPLE)
-	set(ENABLE_QUAZIP OFF)
-	message(STATUS "QuaZip disabled - it's not supported on OSX")
 endif()
 
 # load paths from the user file if exists
@@ -78,16 +74,8 @@
     endif()
 endif()
 
-include(CheckCXXCompilerFlag)
-CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
-if(COMPILER_SUPPORTS_CXX11)
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-elseif(COMPILER_SUPPORTS_CXX0X)
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-elseif(NOT MSVC)
-	message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
-endif()
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if (ENABLE_CODE_COV AND CMAKE_COMPILER_IS_GNUCXX)
 	# Codecov
@@ -125,6 +113,20 @@
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Unix.cmake)
 endif()
 
+if (ENABLE_TESTING AND NOT UNIX) 
+	set(ENABLE_TESTING OFF)
+	message(WARNING "testing is only supported on unix")
+elseif (ENABLE_TESTING)
+	find_package(GTest)
+	if(GTEST_FOUND)
+		enable_testing()
+		add_subdirectory(tests EXCLUDE_FROM_ALL)
+	else()
+		set(ENABLE_TESTING OFF)
+		message(WARNING "GTest not found, disabling testing.")
+	endif()
+endif()
+
 file(GLOB NOMACS_EXE_SOURCES "src/*.cpp")
 file(GLOB NOMACS_EXE_HEADERS "src/*.h")
 
@@ -135,6 +137,9 @@
 # core
 file(GLOB CORE_SOURCES "src/DkCore/*.cpp")
 file(GLOB CORE_HEADERS "src/DkCore/*.h")
+
+# themes
+file(GLOB NOMACS_THEMES "src/themes/*.css")
 
 # gather information for building
 include_directories (
@@ -348,4 +353,7 @@
     MESSAGE(STATUS " nomacs will be compiled with QuaZip support .................. NO")
 ENDIF()
 
-MESSAGE(STATUS "----------------------------------------------------------------------------------")
+IF(ENABLE_TESTING)
+    MESSAGE(STATUS " nomacs tests ................................................. YES")
+ELSE()
+    MESSAGE(STATUS " nomacs tests ................................................. NO")
