=== debian/changelog ===
nomacs (3.19.1+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:45:02 +0000
