=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: nomacs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
+Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                lcov,
                libexiv2-dev,
                liblcms2-dev,
@@ -28,16 +27,16 @@
 
 Package: nomacs
 Architecture: any
-Depends: nomacs-l10n (= ${source:Version}),
-         qt5-image-formats-plugins,
-         ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         qt5-image-formats-plugins
 Breaks: libnomacscore3 (<< 3.6.1),
         libnomacsgui3 (<< 3.6.1),
         libnomacsloader3 (<< 3.6.1)
 Replaces: libnomacscore3 (<< 3.6.1),
           libnomacsgui3 (<< 3.6.1),
           libnomacsloader3 (<< 3.6.1)
-# Recommends: qt5-avif-image-plugin, qt5-heif-image-plugin
+Recommends: nomacs-l10n (= ${source:Version})
 Description: image viewer with capability of syncing multiple instances
  nomacs is a free image viewer for Windows and Linux systems, which is
  licensed under the GNU General Public License v3. nomacs is small, fast and
