## nomacs 3.21.0+dfsg

=== ImageLounge/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,8 @@
 
 # needed for soname
 set(NOMACS_VERSION_MAJOR 3)
-set(NOMACS_VERSION_MINOR 19)
-set(NOMACS_VERSION_PATCH 1)
+set(NOMACS_VERSION_MINOR 21)
+set(NOMACS_VERSION_PATCH 0)
 set(NOMACS_VERSION ${NOMACS_VERSION_MAJOR}.${NOMACS_VERSION_MINOR})
 set(NOMACS_FULL_VERSION ${NOMACS_VERSION}.${NOMACS_VERSION_PATCH})
 
@@ -47,8 +47,10 @@
 option(ENABLE_HEIF "Compile nomacs with HEIF support" OFF)
 option(ENABLE_AVIF "Compile nomacs with AVIF support" OFF)
 option(ENABLE_JXL "Compile nomacs with JPEG XL support" OFF)
+option(ENABLE_JXR "Download JPEG XR plug-in" OFF)
 option(ENABLE_CODE_COV "Run Code Coverage tests" OFF)
 option(ENABLE_TESTING "Run tests" ON)
+option(ENABLE_BENCHMARK "Run benchmark" OFF)
 option(USE_SYSTEM_QUAZIP "QuaZip will not be compiled from source" ON) # ignored by MSVC
 
 # Codecov
@@ -124,6 +126,19 @@
 	else()
 		set(ENABLE_TESTING OFF)
 		message(WARNING "GTest not found, disabling testing.")
+	endif()
+endif()
+
+if (ENABLE_BENCHMARK AND NOT UNIX) 
+	set(ENABLE_BENCHMARK OFF)
+	message(WARNING "benchmark is only supported on unix")
+elseif (ENABLE_BENCHMARK)
+	find_package(benchmark)
+	if(benchmark_FOUND)
+		add_subdirectory(benchmarks EXCLUDE_FROM_ALL)
+	else()
+		set(ENABLE_BENCHMARK OFF)
+		message(WARNING "benchmark not found, disabling benchmark.")
 	endif()
 endif()
 
@@ -194,7 +209,7 @@
 	endif()
 endif()
 
-message("revision is " ${NOMACS_REVISION})
+message(STATUS "revision is " ${NOMACS_REVISION})
 
 
 # create version file
@@ -230,36 +245,46 @@
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/UnixBuildTarget.cmake)
 endif()
 
+# get the version stored in version.cache
+file(READ ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/utils/version.cache NOMACS_CACHED_VERSION)
+string(STRIP "${NOMACS_CACHED_VERSION}" NOMACS_CACHED_VERSION)
+string(REGEX MATCH "^version:(.*)$" HAS_MATCH ${NOMACS_CACHED_VERSION})
+if (HAS_MATCH)
+  set(NOMACS_CACHED_VERSION ${CMAKE_MATCH_1})
+else()
+  message(FATAL_ERROR "I could not parse version.cache")
+endif()
+
 # add build incrementer command if requested
 if (ENABLE_INCREMENTER AND Python_FOUND)
 
     add_custom_command(
         TARGET ${DLL_CORE_NAME} PRE_BUILD 
         COMMAND ${Python_EXECUTABLE}
-        ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/versionincrement.py 
+        ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/versionincrement.py
         ${NOMACS_VERSION})
 
-    message(STATUS "build incrementer enabled...")
-
-endif()
-
-if (Python_FOUND)
-    
     add_custom_command(
-        TARGET ${DLL_CORE_NAME} PRE_BUILD 
+        TARGET ${DLL_CORE_NAME} PRE_BUILD
         COMMAND ${Python_EXECUTABLE}
-        ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/versionupdate.py 
+        ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/versionupdate.py
         ${CMAKE_BINARY_DIR}/DkVersion.h)
 
     # I am having issues with the PRE_BUILD above
     # if version increment is off, we just need to run the update once (for version won't change)
     # so let's do that:
-    execute_process(COMMAND ${Python_EXECUTABLE}
-            ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/versionupdate.py 
-            ${CMAKE_BINARY_DIR}/DkVersion.h)
-
-else()
-    message(WARNING "Python not found: the version number will be incorrect!")
+    execute_process(
+        COMMAND ${Python_EXECUTABLE}
+        ${CMAKE_CURRENT_SOURCE_DIR}/../scripts/versionupdate.py
+        ${CMAKE_BINARY_DIR}/DkVersion.h)
+
+    message(WARNING "build incrementer enabled, using version.cache: \"${NOMACS_CACHED_VERSION}\"")
+else()
+  # NOTE: the appveyor windows builds rely on version.cache for the installer and msi version numbers
+  if (NOT NOMACS_CACHED_VERSION STREQUAL NOMACS_FULL_VERSION)
+    message(FATAL_ERROR "version.cache mismatch \"${NOMACS_CACHED_VERSION}\", it should be ${NOMACS_FULL_VERSION}")
+  endif()
+  message(STATUS "nomacs version is ${NOMACS_FULL_VERSION}")
 endif()
 
 
@@ -326,34 +351,3 @@
 IF(ENABLE_TIFF)
     MESSAGE(STATUS " nomacs will be compiled with extended TIFF support ........... YES")
 ELSE()
-    MESSAGE(STATUS " nomacs will be compiled with extended TIFF support ........... NO")
-ENDIF()
-
-IF(ENABLE_PLUGINS)
-    MESSAGE(STATUS " nomacs will be compiled with plugin support .................. YES")
-ELSE()
-    MESSAGE(STATUS " nomacs will be compiled with plugin support .................. NO")
-ENDIF()
-
-IF(libheif_FOUND)
-    MESSAGE(STATUS " nomacs will be compiled with HEIF support .................... YES")
-ELSE()
-    MESSAGE(STATUS " nomacs will be compiled with HEIF support .................... NO")
-ENDIF()
-
-IF(ENABLE_TRANSLATIONS)
-    MESSAGE(STATUS " nomacs will be compiled with Translations .................... YES")
-ELSE()
-    MESSAGE(STATUS " nomacs will be compiled with Translations .................... NO")
-ENDIF()
-
-IF(ENABLE_QUAZIP)
-    MESSAGE(STATUS " nomacs will be compiled with QuaZip support .................. YES")
-ELSE()
-    MESSAGE(STATUS " nomacs will be compiled with QuaZip support .................. NO")
-ENDIF()
-
-IF(ENABLE_TESTING)
-    MESSAGE(STATUS " nomacs tests ................................................. YES")
-ELSE()
-    MESSAGE(STATUS " nomacs tests ................................................. NO")
