=== debian/changelog ===
nomacs (3.21.0+dfsg-2) unstable; urgency=medium

  * Clean up of group membership after 2nd calls.
  * debian/control: depends on qt6-image-formats-plugins instead of
    qt5-image-formats-plugins.
  * Run wrap-and-sort.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 21 Apr 2025 10:09:01 +0200

nomacs (3.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.21.0+dfsg.
  * Use Qt6.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 30 Mar 2025 23:50:03 +0800
