=== debian/control ===
--- 
+++ 
@@ -1,24 +1,20 @@
 Source: nomacs
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                lcov,
                libexiv2-dev,
-               liblcms2-dev,
                libopencv-dev,
-               libqt5svg5-dev,
-               libquazip5-dev,
+               libquazip1-qt6-dev,
                libraw-dev,
-               libtiff-dev,
-               libwebp-dev,
-               qt5-qmake,
-               qttools5-dev,
-               qttools5-dev-tools
+               qt6-base-dev,
+               qt6-image-formats-plugins,
+               qt6-svg-dev,
+               qt6-tools-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
 Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
@@ -27,9 +23,7 @@
 
 Package: nomacs
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         qt5-image-formats-plugins
+Depends: qt6-image-formats-plugins, ${misc:Depends}, ${shlibs:Depends}
 Breaks: libnomacscore3 (<< 3.6.1),
         libnomacsgui3 (<< 3.6.1),
         libnomacsloader3 (<< 3.6.1)
