=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
https://github.com/nomacs/nomacs/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
