## nomacs 3.21.1+dfsg

=== ImageLounge/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # needed for soname
 set(NOMACS_VERSION_MAJOR 3)
 set(NOMACS_VERSION_MINOR 21)
-set(NOMACS_VERSION_PATCH 0)
+set(NOMACS_VERSION_PATCH 1)
 set(NOMACS_VERSION ${NOMACS_VERSION_MAJOR}.${NOMACS_VERSION_MINOR})
 set(NOMACS_FULL_VERSION ${NOMACS_VERSION}.${NOMACS_VERSION_PATCH})
 
@@ -44,14 +44,15 @@
 option(ENABLE_INCREMENTER "Run Build Incrementer" OFF)
 option(ENABLE_TRANSLATIONS "Compile Translations" ON)
 option(ENABLE_PLUGINS "Compile nomacs with plugin support" ON)
-option(ENABLE_HEIF "Compile nomacs with HEIF support" OFF)
-option(ENABLE_AVIF "Compile nomacs with AVIF support" OFF)
-option(ENABLE_JXL "Compile nomacs with JPEG XL support" OFF)
-option(ENABLE_JXR "Download JPEG XR plug-in" OFF)
+option(ENABLE_HEIF "Download HEIF plug-in (Windows only)" OFF)
+option(ENABLE_AVIF "Download AVIF plug-in (Windows only)" OFF)
+option(ENABLE_JXL "Download JPEG XL plug-in (Windows only)" OFF)
+option(ENABLE_JXR "Download JPEG XR plug-in (Windows only)" OFF)
 option(ENABLE_CODE_COV "Run Code Coverage tests" OFF)
 option(ENABLE_TESTING "Run tests" ON)
 option(ENABLE_BENCHMARK "Run benchmark" OFF)
 option(USE_SYSTEM_QUAZIP "QuaZip will not be compiled from source" ON) # ignored by MSVC
+option(ENABLE_PCH "Enable precompiled headers" OFF)
 
 # Codecov
 if (ENABLE_CODE_COV AND CMAKE_COMPILER_IS_GNUCXX)
@@ -113,33 +114,6 @@
 else()
 	message(STATUS "build system unkown ... fallback to unix")
 	include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/Unix.cmake)
-endif()
-
-if (ENABLE_TESTING AND NOT UNIX) 
-	set(ENABLE_TESTING OFF)
-	message(WARNING "testing is only supported on unix")
-elseif (ENABLE_TESTING)
-	find_package(GTest)
-	if(GTEST_FOUND)
-		enable_testing()
-		add_subdirectory(tests EXCLUDE_FROM_ALL)
-	else()
-		set(ENABLE_TESTING OFF)
-		message(WARNING "GTest not found, disabling testing.")
-	endif()
-endif()
-
-if (ENABLE_BENCHMARK AND NOT UNIX) 
-	set(ENABLE_BENCHMARK OFF)
-	message(WARNING "benchmark is only supported on unix")
-elseif (ENABLE_BENCHMARK)
-	find_package(benchmark)
-	if(benchmark_FOUND)
-		add_subdirectory(benchmarks EXCLUDE_FROM_ALL)
-	else()
-		set(ENABLE_BENCHMARK OFF)
-		message(WARNING "benchmark not found, disabling benchmark.")
-	endif()
 endif()
 
 file(GLOB NOMACS_EXE_SOURCES "src/*.cpp")
@@ -255,6 +229,11 @@
   message(FATAL_ERROR "I could not parse version.cache")
 endif()
 
+if (ENABLE_PCH)
+	target_precompile_headers(${DLL_CORE_NAME} PRIVATE $<$<COMPILE_LANGUAGE:CXX>:prefix.h>)
+	message(WARNING "!!Precompiled header should only be used for development!!")
+endif()
+
 # add build incrementer command if requested
 if (ENABLE_INCREMENTER AND Python_FOUND)
 
@@ -287,7 +266,6 @@
   message(STATUS "nomacs version is ${NOMACS_FULL_VERSION}")
 endif()
 
-
 NMC_INSTALL()
 
 NMC_COPY_FILES()
@@ -318,10 +296,41 @@
 		set(NOMACS_FOUND true)
 		set(NOMACS_VARS_ALREADY_SET true)
 		add_subdirectory(${PLUGINS_DIR} "${CMAKE_CURRENT_BINARY_DIR}/plugins")
+
+		if(APPLE)
+			NMC_BUNDLE_COPY_PLUGINS()
+		endif()
 	else()
 		message(STATUS "I failed to locate plugins in: ${PLUGINS_DIR}")
 		message(WARNING "plugins directory not found, not building plugins. You have to check out the nomacs-plugins git to the 'plugins' folder if you want to build them")
 		SET(ENABLE_PLUGINS OFF)
+	endif()
+endif()
+
+if (ENABLE_TESTING AND NOT UNIX)
+	set(ENABLE_TESTING OFF)
+	message(WARNING "testing is only supported on unix")
+elseif (ENABLE_TESTING)
+	find_package(GTest)
+	if(GTEST_FOUND)
+		enable_testing()
+		add_subdirectory(tests EXCLUDE_FROM_ALL)
+	else()
+		set(ENABLE_TESTING OFF)
+		message(WARNING "GTest not found, disabling testing.")
+	endif()
+endif()
+
+if (ENABLE_BENCHMARK AND NOT UNIX)
+	set(ENABLE_BENCHMARK OFF)
+	message(WARNING "benchmark is only supported on unix")
+elseif (ENABLE_BENCHMARK)
+	find_package(benchmark)
+	if(benchmark_FOUND)
+		add_subdirectory(benchmarks EXCLUDE_FROM_ALL)
+	else()
+		set(ENABLE_BENCHMARK OFF)
+		message(WARNING "benchmark not found, disabling benchmark.")
 	endif()
 endif()
 
@@ -343,11 +352,3 @@
 ENDIF()
 
 IF(LIBRAW_FOUND)
-    MESSAGE(STATUS " nomacs will be compiled with LIBRAW support .................. YES")
-ELSE()
-    MESSAGE(STATUS " nomacs will be compiled with LIBRAW support .................. NO")
-ENDIF()
-
-IF(ENABLE_TIFF)
-    MESSAGE(STATUS " nomacs will be compiled with extended TIFF support ........... YES")
-ELSE()
