=== debian/changelog ===
nomacs (3.21.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.21.1+dfsg
  * d/contro: Bump Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 17 Aug 2025 19:26:10 +0800
