=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                debhelper-compat (= 13),
                lcov,
                libexiv2-dev,
+               libheif-dev,
                libopencv-dev,
                libquazip1-qt6-dev,
                libraw-dev,
@@ -15,7 +16,7 @@
                qt6-image-formats-plugins,
                qt6-svg-dev,
                qt6-tools-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
 Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
 Homepage: https://nomacs.org/
